Read aggregate airline statistics
curl --request GET \
--url https://flyhub.app/api/v1/va/statistics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flyhub.app/api/v1/va/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://flyhub.app/api/v1/va/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"completedFlights": 1,
"completedHours": 1,
"activePilots": 1,
"fleetSize": 1,
"activeSchedules": 1,
"contributionPoints": 1,
"averageReliabilityScore": 123
},
"meta": {
"apiVersion": "2026-07-21"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Read aggregate airline statistics
Returns one aggregate object. It is not paginated, so use it for summary cards rather than as a substitute for the detail resources.
GET
/
api
/
v1
/
va
/
statistics
Read aggregate airline statistics
curl --request GET \
--url https://flyhub.app/api/v1/va/statistics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flyhub.app/api/v1/va/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://flyhub.app/api/v1/va/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"completedFlights": 1,
"completedHours": 1,
"activePilots": 1,
"fleetSize": 1,
"activeSchedules": 1,
"contributionPoints": 1,
"averageReliabilityScore": 123
},
"meta": {
"apiVersion": "2026-07-21"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Was this page helpful?